Bug 823967 - Review Request: apacheds - Apache Directory Server
Review Request: apacheds - Apache Directory Server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On: 820300 823959 823962 823964 855780
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 10:26 EDT by gil cattaneo
Modified: 2013-06-11 05:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: apacheds-1.5.7-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 00:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-22 10:26:52 EDT
Spec URL: http://gil.fedorapeople.org/apacheds.spec
SRPM URL: http://gil.fedorapeople.org/apacheds-1.5.7-1.fc16.src.rpm
Description: ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs.
Fedora Account System Username: gil
Comment 1 Terje Røsten 2012-05-23 04:13:23 EDT
Nice work, are you going to build Studio too? 

Would it make more sense to package the DS 2.0? Or are you going upgrade soon?
Comment 2 gil cattaneo 2012-05-23 07:16:30 EDT
for the moment no.apacheds.jdbm is a BR for Infinispan...
if anyone is interested in DStudio you/i can try to package it
thanks
Comment 3 Matt Spaulding 2012-08-17 13:27:24 EDT
Hi Gil,

I want to review this package, but realized that there are some dependencies that should be reviewed first. Once those have gotten approved I'll start the review on this one.
Comment 4 Matt Spaulding 2012-08-22 14:41:48 EDT
I tried building the package through Mock and found that there are at least a couple of missing dependencies:

1. Bouncycastle
2. Ldapsdk

Once you have the package building I will do a formal review. Thanks!
Comment 5 gil cattaneo 2012-08-22 17:27:50 EDT
hi Matt,
(In reply to comment #4)
> I tried building the package through Mock and found that there are at least
> a couple of missing dependencies:
> 
> 1. Bouncycastle
done
> 2. Ldapsdk
this last depend on https://bugzilla.redhat.com/show_bug.cgi?id=820300
> 
> Once you have the package building I will do a formal review. Thanks!

Spec URL: http://gil.fedorapeople.org/apacheds/1/apacheds.spec
SRPM URL: http://gil.fedorapeople.org/apacheds/1/apacheds-1.5.7-2.fc16.src.rpm

thanks
Comment 6 Matt Spaulding 2012-08-27 15:36:21 EDT
RPMLint Output:

apacheds.noarch: W: spelling-error %description -l en_US embeddable -> embedded
apacheds.src: W: spelling-error %description -l en_US embeddable -> embedded
apacheds.src: W: invalid-url Source0: apacheds-1.5.7-src-svn.tar.gz
apacheds-server.noarch: W: spelling-error %description -l en_US Changepw -> Change
apacheds-server.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
apacheds-xdbm.noarch: W: spelling-error %description -l en_US btree -> beret, tree, b tree
/home/mspaulding/rpmbuild/SPECS/apacheds.spec: W: invalid-url Source0: apacheds-1.5.7-src-svn.tar.gz
11 packages and 1 specfiles checked; 0 errors, 7 warnings.

Package Review
==============

Key:

- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====

[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[x]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. [1]
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL. [1]
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass. [3]
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====

[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils [4]
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


Everything looks good.

APPROVED.
Comment 7 gil cattaneo 2012-08-27 16:18:11 EDT
New Package SCM Request
=======================
Package Name: apacheds
Short Description: Apache Directory Server
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2012-08-27 16:23:22 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-09-17 15:43:23 EDT
apacheds-1.5.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/apacheds-1.5.7-2.fc17
Comment 10 Fedora Update System 2012-09-18 22:56:28 EDT
apacheds-1.5.7-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-09-27 00:23:02 EDT
apacheds-1.5.7-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-05-31 23:48:32 EDT
apacheds-1.5.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/apacheds-1.5.7-2.fc18
Comment 13 Fedora Update System 2013-06-11 05:12:42 EDT
apacheds-1.5.7-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.